help upgrading 1.5.6 to 1.6.3

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

help upgrading 1.5.6 to 1.6.3

Greg Rodenhiser
I am attempting to upgrade Mediawiki 1.5.6 to the latest (1.6.3).  I have
backed up all files and the MySQL database.  I then copied over the original
1.5.6 directory with the new 1.6.3 directory.  Next, I ran php -cli
./maintenance/update.php and get the following error:

Fatal error: Call to undefined function socket_sendto() in
<MEDIAWIKI>/includes/GlobalFunctions.php on line 1506

I have also tried using the web interface to run the upgrade and the same
error message appears.  I have also tried just upgrading to Mediawiki
1.6.2and the same isue persists.  Below is the versions of applicable
software I
have:

Mediawiki: 1.5.6
PHP 5.0.5 (apache2handler)
MySQL 4.1.15-Max
OS: Redhat Enterprise 3AS

I'd really appreciate it if someone can point out what I'm doing wrong and
recommend how to complete the upgrade.  Thanks in advance!!
_______________________________________________
MediaWiki-l mailing list
[hidden email]
http://mail.wikipedia.org/mailman/listinfo/mediawiki-l